# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90"
name = "afterburner-flow"
version = "0.2.4"
authors = ["Theo Bulut <info@afterburner.sh>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Afterburner flow engine — chained module pipelines"
homepage = "https://github.com/afterburner-sh/afterburner"
documentation = "https://docs.rs/afterburner"
readme = "README.md"
keywords = [
    "javascript",
    "wasm",
    "sandbox",
    "runtime",
]
categories = [
    "wasm",
    "development-tools",
]
license = "BUSL-1.1"
repository = "https://github.com/afterburner-sh/afterburner"
resolver = "2"

[lib]
name = "afterburner_flow"
path = "src/lib.rs"

[[test]]
name = "flow_engine"
path = "tests/flow_engine.rs"

[[test]]
name = "node_compat_e2e"
path = "tests/node_compat_e2e.rs"

[dependencies.afterburner-core]
version = "0.2.3"

[dependencies.afterburner-wasi]
version = "0.2.3"

[dependencies.fastrace]
version = "0.7"
features = ["enable"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
